Create Ad Request
curl --request POST \
--url https://api.erlcrussia.xyz/v2/moscowroleplay/civops/ads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "1104388035199639585",
"username": "forziknerves",
"businessName": "UKpanik",
"address": "Артемовск, Площадь Ленина 5"
}
'import requests
url = "https://api.erlcrussia.xyz/v2/moscowroleplay/civops/ads"
payload = {
"userId": "1104388035199639585",
"username": "forziknerves",
"businessName": "UKpanik",
"address": "Артемовск, Площадь Ленина 5"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '1104388035199639585',
username: 'forziknerves',
businessName: 'UKpanik',
address: 'Артемовск, Площадь Ленина 5'
})
};
fetch('https://api.erlcrussia.xyz/v2/moscowroleplay/civops/ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"userId": "1104388035199639585",
"businessName": "UKpanik",
"address": "Артемовск, Площадь Ленина 5",
"adSent": true
}Economy API POST Endpoints
Create Ad Request
Create a new advertisement request.
Available actions:
create- create request (requires userId, username, businessName, address).
POST
/
moscowroleplay
/
civops
/
ads
Create Ad Request
Authorizations
API key for accessing CivOps endpoints.
Passed in the Authorization: Bearer <key> header.
REQUIRED FOR ALL CIVOPS ENDPOINTS (except /health).
Query Parameters
Operation type.
Available options:
create Body
application/json
Response
Request successfully created.
The response is of type object.
Was this page helpful?
⌘I